module LS020_SM(control, clock, reset,data,load);

input control; // State advances whenever control is high
input clock; // System clock
input reset; // System Reset. Resets when high.
reg [2:0] state; // Register to hold the value of the state
output [15:0] data;
output load;
reg [15:0] data;
reg load;

always @(posedge clock or posedge reset)
if (reset) state <= 0;
else

case(state)

0:  begin
		load <= 1'b0;
		data <= 16'h1111;
		state <=  1;
	end
	
1:  begin
		load <= 1'b1;
		state <=  2;
	end

2:  begin
		load <= 1'b0;
		state <=  3;
	end
	
3:  begin
		load <= 1'b0;
		data <= 16'h2222;
		state <=  4;
	end
	
4:  begin
		load <= 1'b1;
		state <=  5;
	end
	
5:  begin
		load <= 1'b0;
		data <= 16'h3333;
		state <=  6;
	end
	
6:  begin
		load <= 1'b1;
		state <=  7;
	end
	
7:  begin
		load <= 1'b0;
		state <=  0;
	end
	
default: state <= 0;

endcase

endmodule
