module LS020_SM_Test (Init_DATA, clk, reset,TX_GO,CD,ACK,go);

input clk; 					// System clock
input reset; 				// System Reset
input ACK;
inout [15:0] Init_DATA;
inout TX_GO;
inout CD;
input go;

//Registers
reg	[1:0]	Init_State;
reg	[15:0]	Init_DATA_REG;
reg			TX_GO_REG;
reg			Ready;
reg			CD_REG;				// 1 = Command , 0 = Daten
reg			Ready_in;
reg [31:0] 	counter;
reg	[15:0]	rgb_count;

		

// Assignments
assign state_clk = counter[0];
assign rgb_clk	= counter[7];
assign Init_DATA 	= ( go == 1 ) ? Init_DATA_REG: 16'bZ ;
assign TX_GO 		= ( go == 1 ) ? TX_GO_REG : 1'bZ ;
assign CD			= ( go == 1 ) ? 0 : 1'bZ ;


// Always Block


// Farbverlauf SM
always@(posedge state_clk or negedge reset)
begin
	if(!reset)
	begin
		Init_State		<=	0;
		TX_GO_REG		<=	0;
	end
	else
	
	begin
		if(go)
		begin

			case(Init_State)
			0:	begin
						Init_DATA_REG	<=	rgb_count;
						TX_GO_REG		<=	1;
						Init_State		<=	1;
				end
				
			1:	begin
					if(ACK)
						begin
							Init_State	<=	2;
							TX_GO_REG	<=	0;
						end
					end
				
			2:	begin
					Init_State	<=	0;
				end
				
			endcase						
		end
	end
end




always @(posedge clk) counter <= counter+1;

always @(posedge rgb_clk ) rgb_count <= rgb_count+1;





endmodule
