
module LS020_TOP
	(
		////////////////////	Clock Input	 	////////////////////	 
		CLOCK,							//	System Clock
		RESET,							//	System Clock
		////////////////////	SRAM Interface		////////////////
		//SRAM_DQ,						//	SRAM Data bus 16 Bits
		//SRAM_ADDR,						//	SRAM Address bus 18 Bits
		//SRAM_UB_N,						//	SRAM High-byte Data Mask 
		//SRAM_LB_N,						//	SRAM Low-byte Data Mask 
		//SRAM_WE_N,						//	SRAM Write Enable
		//SRAM_CE_N,						//	SRAM Chip Enable
		//SRAM_OE_N,						//	SRAM Output Enable
		////////////////////	Display		////////////////////////////
		LS020_SDAT,						//	LS020 Data
		LS020_SCLK,						//	LS020 Clock
		LS020_CD,						//	LS020 Command / Data
		LS020_CS,						//	LS020 Chip Select
		LS020_RESET,					//  LS020 Reset
		////////////////////	DEBUG		////////////////////////////
		RESET_LED,						//LEDR 0
		TX_GO,							//LEDR 1
		CLOCK_LED,						//LEDR 2
		INIT_READY						//LEDR 3
	);

////////////////////////	Clock Input	 	////////////////////////
input			CLOCK;						//	Clock 27MHz
input			RESET;						//	KEY [0]
////////////////////////	SRAM Interface	////////////////////////
//inout	[15:0]	SRAM_DQ;				//	SRAM Data bus 16 Bits
//output	[17:0]	SRAM_ADDR;				//	SRAM Address bus 18 Bits
//output			SRAM_UB_N;				//	SRAM High-byte Data Mask 
//output			SRAM_LB_N;				//	SRAM Low-byte Data Mask 
//output			SRAM_WE_N;				//	SRAM Write Enable
//output			SRAM_CE_N;				//	SRAM Chip Enable
//output			SRAM_OE_N;				//	SRAM Output Enable
////////////////////////	Display 	////////////////////////////////
output				LS020_SDAT;			//	LS020 Data 				GPIO0 31
output				LS020_SCLK;			//	LS020 Clock 			GPIO0 33
output				LS020_CD;			//	LS020 Command / Data	GPIO0 26
output				LS020_CS;			//	LS020 Chip Select		GPIO0 30
output				LS020_RESET;		//	LS020 Reset				GPIO0 27
////////////////////////	DEBUG 	////////////////////////////////
output 				RESET_LED;			//LEDR 0
output				TX_GO;				//LEDR 1
output				CLOCK_LED;			//LEDR 2
output				INIT_READY;			//LEDR 3




wire	[15:0]		data;
wire				TX_GO;
wire				Ready;

//assign	SRAM_DQ		=	data;
//assign	LS020_SDAT	=	1'bz;		
//assign	LS020_SCLK	=	1'bz;	
//assign	LS020_CD	=	1'bz;	
//assign	LS020_CS	=	1'bz;
assign	RESET_LED	= 	RESET;
assign	LS020_RESET	=	RESET;
//assign	CLOCK_LED	= 	CLOCK;
assign	INIT_READY	= 	Ready;



LS020_SM_INIT			u1	(.Init_DATA(data), .clk(CLOCK), .reset(RESET),.TX_GO(TX_GO),.Ready(Ready),.CD(LS020_CD),.ACK(ACK));
three_wire_controller	u2	(.iCLK(CLOCK),.iRST(RESET),.iDATA(data),.iSTR(TX_GO),.oACK(),.oRDY(ACK),.oCLK(),.oSCEN(LS020_CS),.SDA(LS020_SDAT),.oSCLK(LS020_SCLK));
LS020_SM_Test			u3  (.Init_DATA(data), .clk(CLOCK), .reset(RESET),.TX_GO(TX_GO),.Ready(),.CD(LS020_CD),.ACK(ACK),.go(Ready));
endmodule
